Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 457558

Summary: sys-libs/readline fails with ncurses[tinfo]
Product: Gentoo Linux Reporter: Travis Hansen <travisghansen>
Component: [OLD] LibraryAssignee: Gentoo's Team for Core System packages <base-system>
Status: RESOLVED FIXED    
Severity: normal CC: b.buschinski, dushistov, jlec, pageexec, rei4dan
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 457530    
Attachments: config.log
readline-6.2_p5-r1:20131228-084303.log

Description Travis Hansen 2013-02-14 16:52:22 UTC
configure: error: !!! no tgetent - no screen

see bug 457530

Reproducible: Always
Comment 1 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-02-14 18:20:16 UTC
Maintainers, see blocked bug #457530 for fix.
Comment 2 Evgeniy Dushistov 2013-07-06 16:36:30 UTC
I see the same bug, to compile some soft I have to change ncurses use flags like this:
sys-libs/ncurses tinfo

and now readline emerge failed with:
configure: error: !!! no tgetent - no screen

the config.log tells about tgetent:
configure:4000: x86_64-pc-linux-gnu-gcc -o conftest -O3 -march=native -pipe  -D_GNU_SOURCE -Dxrealloc=_rl_realloc -Dxmalloc=_rl_malloc -Dxfree=_rl_free -Wl,-O1 -Wl,--as-needed -L. conftest.c -lncurses  >&5
/tmp/portage/sys-libs/readline-6.2_p4/temp/ccwEtlGt.o: In function `main':
conftest.c:(.text.startup+0xb): undefined reference to `tgetent'
collect2: error: ld returned 1 exit status
Comment 3 SpanKY gentoo-dev 2013-12-25 23:44:41 UTC
should be all set now in the tree; thanks for the report!

Commit message: Use pkg-config to get ncurses linking info
http://sources.gentoo.org/sys-libs/readline/readline-6.2_p5.ebuild?rev=1.1
Comment 4 Justin Lecher gentoo-dev 2013-12-26 13:46:35 UTC
Still not fixed
Comment 5 Justin Lecher gentoo-dev 2013-12-26 13:46:58 UTC
Created attachment 366220 [details]
config.log

config.log
Comment 6 SpanKY gentoo-dev 2013-12-27 20:21:28 UTC
(In reply to Justin Lecher from comment #5)

*which* configure is that ?  i'm guessing that's the rlfe example dir and not readline itself.
Comment 7 Justin Lecher gentoo-dev 2013-12-28 08:44:41 UTC
Created attachment 366352 [details]
readline-6.2_p5-r1:20131228-084303.log

It was the second and failing configure
Comment 8 SpanKY gentoo-dev 2013-12-29 18:19:48 UTC
should be all set now in the tree; thanks for the report!

Commit message: Update rlfe helper to use ncurses info via pkg-config
http://sources.gentoo.org/sys-libs/readline/readline-6.2_p5-r1.ebuild?r1=1.1&r2=1.2
Comment 9 PaX Team 2013-12-30 16:09:33 UTC
this is still wrong, LIBS=... does not start at the beginning of the line in examples/rlfe/configure therefore the correct regexp is /LIBS=.... (i.e., just remove that caret).
Comment 10 SpanKY gentoo-dev 2013-12-30 16:42:50 UTC
(In reply to PaX Team from comment #9)

must have grepped the wrong file.  should be fixed now though.

http://sources.gentoo.org/sys-libs/readline/readline-6.2_p5-r1.ebuild?r1=1.3&r2=1.4